pub struct PtyShellStatusResponse {
pub running: bool,
pub exit_code: Option<i32>,
}Expand description
Response from POST /api/v1/ptyshell/status
Fields§
§running: boolFalse both for “still initializing” and “exited” — callers that need
to distinguish those should check exit_code (None for the former).
exit_code: Option<i32>Trait Implementations§
Source§impl Clone for PtyShellStatusResponse
impl Clone for PtyShellStatusResponse
Source§fn clone(&self) -> PtyShellStatusResponse
fn clone(&self) -> PtyShellStatusResponse
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for PtyShellStatusResponse
impl Debug for PtyShellStatusResponse
Source§impl<'de> Deserialize<'de> for PtyShellStatusResponse
impl<'de> Deserialize<'de> for PtyShellStatusResponse
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for PtyShellStatusResponse
impl RefUnwindSafe for PtyShellStatusResponse
impl Send for PtyShellStatusResponse
impl Sync for PtyShellStatusResponse
impl Unpin for PtyShellStatusResponse
impl UnsafeUnpin for PtyShellStatusResponse
impl UnwindSafe for PtyShellStatusResponse
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more